Bug 821733 - Error in PREUN in the rpm
Error in PREUN in the rpm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: strongswan (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Šimerda (pavlix)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-15 09:20 EDT by Andre Naehring
Modified: 2012-06-10 19:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-10 19:56:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Naehring 2012-05-15 09:20:14 EDT
Description of problem: I was not able to uninstall strongswan because of an error in the PREUN script within the rpm.


Version-Release number of selected component (if applicable): strongswan-4.6.2-1.fc16.x86_64


How reproducible: 
Always. 


Steps to Reproduce:
1. yum install strongswan
2. yum erase strongswan


Actual results:
Failed to set locale, defaulting to C
Not loading "blacklist" plugin, as it is disabled
Loading "downloadonly" plugin
Loading "fastestmirror" plugin
Loading "langpacks" plugin
Loading "presto" plugin
Loading "refresh-packagekit" plugin
Loading "tidy-cache" plugin
Not loading "whiteout" plugin, as it is disabled
Running "config" handler for "downloadonly" plugin
Running "config" handler for "langpacks" plugin
Adding en to language list
Running "config" handler for "presto" plugin
Config time: 0.022
Running "init" handler for "fastestmirror" plugin
Running "init" handler for "tidy-cache" plugin
tidy-cache.py rev1233, Copyright (c) 2008-2009 Darwin Slattery
This program comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to redistribute it under certain conditions.
For details read the plugin help documentation.
Yum Version: 3.4.3
COMMAND: yum -d10 erase strongswan 
Installroot: /
Ext Commands:

   strongswan
Reading Local RPMDB
rpmdb time: 0.000
Resolving Dependencies
--> Running transaction check
---> Package strongswan.x86_64 0:4.6.2-1.fc16 will be erased
Checking deps for strongswan.x86_64 0:4.6.2-1.fc16 - e
--> Finished Dependency Resolution
Dependency Process ending
Running "postresolve" handler for "langpacks" plugin
Depsolve time: 3.248

Dependencies Resolved

============================================================================================================================================================
 Package                               Arch                              Version                                  Repository                           Size
============================================================================================================================================================
Removing:
 strongswan                            x86_64                            4.6.2-1.fc16                             @updates                            2.2 M

Transaction Summary
============================================================================================================================================================
Remove  1 Package

Installed size: 2.2 M
Is this ok [y/N]: y
Downloading Packages:
Running "predownload" handler for "presto" plugin
Running "postdownload" handler for "downloadonly" plugin
Member: strongswan.x86_64 0:4.6.2-1.fc16 - e
Removing Package strongswan-4.6.2-1.fc16.x86_64
Running Transaction Check
Transaction Check time: 0.002
Running Transaction Test
Transaction Test Succeeded
Transaction Test time: 0.142
Running Transaction
Error in PREUN scriptlet in rpm package strongswan-4.6.2-1.fc16.x86_64
Warning: scriptlet or other non-fatal errors occurred during transaction.
Running "posttrans" handler for "refresh-packagekit" plugin
  Verifying  : strongswan-4.6.2-1.fc16.x86_64                                                                                                           1/1 
What is this? strongswan-4.6.2-1.fc16.x86_64
VerifyTransaction time: 0.063
Transaction time: 1.128

Failed:
  strongswan.x86_64 0:4.6.2-1.fc16                                                                                                                          

Complete!


Additional info:
The result should be something like "success".  Instead the package is not removed.
Comment 1 Vinzenz Vietzke 2012-05-15 09:26:34 EDT
Problem also exists in strongswan.x86_64 0:4.6.2-2.fc17 on Fedora 17 Beta.
Comment 2 Fedora Update System 2012-05-26 19:21:34 EDT
strongswan-4.6.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/strongswan-4.6.3-1.fc16
Comment 3 Fedora Update System 2012-05-26 19:33:33 EDT
strongswan-4.6.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/strongswan-4.6.3-1.fc17
Comment 4 Fedora Update System 2012-05-26 19:48:20 EDT
strongswan-4.6.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/strongswan-4.6.3-1.el6
Comment 5 Pavel Šimerda (pavlix) 2012-05-26 19:52:28 EDT
Thanks for your interest in Strongswan. Please test the bugfix and vote for it in bodhi if it works for you. The upgrade path worked for me without error, no workarounds needed.

Cheers,

Pavel
Comment 6 Fedora Update System 2012-05-27 21:26:27 EDT
Package strongswan-4.6.3-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing strongswan-4.6.3-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-8518/strongswan-4.6.3-1.fc16
then log in and leave karma (feedback).
Comment 7 Andre Naehring 2012-05-28 03:13:34 EDT
The uninstall process looks fine now. Think, this can be closed here. Thanks!
Comment 8 Fedora Update System 2012-06-02 06:58:46 EDT
strongswan-4.6.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/strongswan-4.6.4-1.fc17
Comment 9 Fedora Update System 2012-06-02 07:17:14 EDT
strongswan-4.6.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/strongswan-4.6.4-1.fc16
Comment 10 Fedora Update System 2012-06-06 16:20:31 EDT
strongswan-4.6.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/strongswan-4.6.4-1.el6
Comment 11 Fedora Update System 2012-06-10 19:56:24 EDT
strongswan-4.6.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-06-10 19:57:00 EDT
strongswan-4.6.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.